Put Product Setting_access_policy
PUT
/products/{product}/settings/access_policyAuthorizationBearer <token>
In: header
Path Parameters
product*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Partial values merge. A null value clears the listed keys; without keys it clears all fields except on_cancel, preserving recovery-plan cancel timing.
Partial values merge. A null value clears the listed keys; without keys it clears all fields except on_cancel, preserving recovery-plan cancel timing.
Response Body
application/json
application/json
curl -X PUT "https://example.com/products/string/settings/access_policy" \ -H "Content-Type: application/json" \ -d '{ "value": {} }'{ "group": "access_policy", "value": { "on_external_plan_change": "require_payment", "on_cancel": "period_end", "pause_enabled": true, "pause_max_months": 1, "on_dispute_open": "keep" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}